import {
  geoEqualEarth,
  geoOrthographic,
  geoPath,
  geoGraticule
} from 'd3';

// Define geo-projection type as Orthographic
const projection = geoOrthographic();
const path = geoPath(projection);
const graticule = geoGraticule();


// Define marks to visualize in the screen
export const Marks = ({ data: { land, interiors } }) => (
  <g className="marks" >
    <path className="sphere" d={path({ type: 'Sphere' })} />
    <path className="graticules" d={path(graticule())} />
    {land.features.map((feature) => (
      <path className="land" d={path(feature)} />
    ))}
    <path className="interiors" d={path(interiors)} />
  </g>
);
