import React, { useState, useEffect } from 'react';
import ReactDom from 'react-dom';
import { useData } from './useData';
import { Marks } from './Marks';

// Define width and height of the visualization
const width = 960;
const height = 500;

// Running the app
const App = () => {
  
  // Get data from json file
  const data = useData();
  
  // Display loading sign while loading
  if (!data) {
    return <pre>Loading...</pre>;
  }

  // Return svg to display in the screen with specified width and height
  return (
    <svg width={width} height={height}>
      <Marks data={data} />
    </svg>
  );
};

// Render the app
const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);
